接口参考裸金属
创建裸金属实例
POST /api/v1/baremetal/allocations,createBaremetalAllocation 的请求参数和响应结构。
POST /api/v1/baremetal/allocations
| 项目 | 内容 |
|---|---|
| 操作标识 | createBaremetalAllocation |
| 认证 | 登录会话 Cookie |
会话写请求需要合法的 Origin 和与当前 Cookie 绑定的 X-CSRF-Token。登录成功后应重新获取 CSRF 令牌。具体权限由目标资源归属和当前授权决定,见认证约定。
请求参数
| 名称 | 位置 | 必填 | 类型 | 说明与约束 |
|---|---|---|---|---|
| Idempotency-Key | header | 否 | string | 最长 128 |
请求体
请求体必填。
内容类型:application/json。
| 字段 | 类型 | 必填 | 说明与约束 |
|---|---|---|---|
| name | string | 是 | — |
| tenant_id | string | 否 | — |
| availability_zone_id | string | 是 | 格式:uuid |
| node_id | string | 是 | 格式:uuid |
| image_id | string | 是 | 格式:uuid |
| flavor_id | string | 是 | 格式:uuid |
| pool_id | string | 是 | 格式:uuid |
| requested_ip | string | 否 | — |
| port_id | string | 是 | 格式:uuid |
| hostname | string | 是 | — |
| ssh_key_ids | string[] | 是 | — |
| confirm_node | string | 是 | — |
| confirm_disk | string | 是 | — |
完整请求结构(含引用定义)
{
"$ref": "#/$defs/MetalAllocationInput",
"$defs": {
"MetalAllocationInput": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"tenant_id": {
"type": "string"
},
"availability_zone_id": {
"type": "string",
"format": "uuid"
},
"node_id": {
"type": "string",
"format": "uuid"
},
"image_id": {
"type": "string",
"format": "uuid"
},
"flavor_id": {
"type": "string",
"format": "uuid"
},
"pool_id": {
"type": "string",
"format": "uuid"
},
"requested_ip": {
"type": "string"
},
"port_id": {
"type": "string",
"format": "uuid"
},
"hostname": {
"type": "string"
},
"ssh_key_ids": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
}
},
"confirm_node": {
"type": "string"
},
"confirm_disk": {
"type": "string"
}
},
"required": [
"name",
"availability_zone_id",
"node_id",
"image_id",
"flavor_id",
"pool_id",
"port_id",
"hostname",
"ssh_key_ids",
"confirm_node",
"confirm_disk"
],
"additionalProperties": false
}
}
}响应
| HTTP 状态 | 含义 |
|---|---|
| 202 | 已受理 |
| 400 | 请求失败 |
| 401 | 请求失败 |
| 403 | 请求失败 |
| 404 | 请求失败 |
| 409 | 请求失败 |
| 503 | 请求失败 |
| default | 请求失败 |
202 · application/json 响应结构
| 字段 | 类型 | 必填 | 说明与约束 |
|---|---|---|---|
| data | MetalTask | 是 | — |
| request_id | string | 是 | — |
{
"$ref": "#/$defs/MetalTaskResponse",
"$defs": {
"MetalTaskResponse": {
"type": "object",
"properties": {
"data": {
"$ref": "#/$defs/MetalTask"
},
"request_id": {
"type": "string"
}
},
"required": [
"data",
"request_id"
],
"additionalProperties": false
},
"MetalTask": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid"
},
"node_id": {
"type": "string",
"format": "uuid"
},
"allocation_id": {
"type": "string"
},
"tenant_id": {
"type": "string"
},
"kind": {
"type": "string"
},
"state": {
"type": "string",
"enum": [
"queued",
"running",
"succeeded",
"failed"
]
},
"stage": {
"type": "string"
},
"progress": {
"type": "integer"
},
"message": {
"type": "string"
},
"events": {
"type": "array",
"items": {
"$ref": "#/$defs/MetalEvent"
}
},
"created_at": {
"type": "string",
"format": "date-time"
},
"updated_at": {
"type": "string",
"format": "date-time"
}
},
"required": [
"id",
"node_id",
"kind",
"state",
"stage",
"progress",
"message",
"events",
"created_at",
"updated_at"
],
"additionalProperties": false
},
"MetalEvent": {
"type": "object",
"properties": {
"at": {
"type": "string",
"format": "date-time"
},
"message": {
"type": "string"
},
"progress": {
"type": "integer"
},
"state": {
"type": "string"
}
},
"required": [
"at",
"message",
"progress",
"state"
],
"additionalProperties": false
}
}
}400 / 401 / 403 / 404 / 409 / 503 / default · application/json 响应结构
{
"$ref": "#/$defs/ErrorResponse",
"$defs": {
"ErrorResponse": {
"type": "object",
"additionalProperties": false,
"properties": {
"error": {
"$ref": "#/$defs/ErrorDetail"
},
"request_id": {
"type": "string"
}
},
"required": [
"error",
"request_id"
]
},
"ErrorDetail": {
"type": "object",
"additionalProperties": false,
"properties": {
"code": {
"type": "string",
"enum": [
"NOT_IMPLEMENTED",
"NOT_FOUND",
"AUTH_REQUIRED",
"FORBIDDEN",
"VALIDATION_FAILED",
"CONFLICT",
"SERVICE_UNAVAILABLE",
"INTERNAL_ERROR",
"RATE_LIMITED"
]
},
"message": {
"type": "string"
},
"retryable": {
"type": "boolean"
},
"fields": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
}
},
"required": [
"code",
"message",
"retryable"
]
}
}
}响应中的 request_id 用于排查请求;异步操作以任务最终状态为准。参阅调用约定、异步任务和错误处理。
本页由版本化 OpenAPI 契约生成。通用资源响应允许的任意字段以运行服务为准,不据此推断尚未定义的字段。
